Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.snmp.stack
Interface AsnOctetsPrintableFace

All Known Implementing Classes:
  DefaultAsnOctetsPrintable, DisplayString

public interface AsnOctetsPrintableFace

This interface contains the isPrintable() method that is used to decided whether or not an AsnOctets with type ASN_OCTET_STR is printable or not. This interface has no effect on the way AsnOctets with type IPADDRESS or OPAQUE are printed.

When the type is ASN_OCTET_STR, the method tries to guess whether or not the string is printable; without the knowledge of the MIB it cannot distinguish between OctetString and any textual conventions, like DisplayString, InternationalDisplayString or DateAndTime.

Since:
  4_14
Version:
  $Revision: 3.5 $ $Date: 2006/03/23 14:54:10 $
Author:
  Birgit Arkesteijn

Field Summary
`static java.lang.String` | `version_id`

Method Summary
`boolean` | `isPrintable(byte[] value)` Returns whether or not the AsnOctets' byte array represent a printable string or not.
`java.lang.String` | `toInternationalDisplayString(byte[] value)` This method provides the implemantation of the InternationalDisplayString text-convention.

Field Detail

### version_id

    public static final java.lang.String version_id

See Also:
  Constant Field Values

Method Detail

### isPrintable

    public boolean isPrintable(byte[] value)

  Returns whether or not the AsnOctets' byte array represent a printable string or not.

  See Also:
    `AsnOctets.toCalendar()`, `AsnOctets.toDisplayString()`, `AsnOctets.toHex()`, `AsnOctets.toString()`

### toInternationalDisplayString

    public java.lang.String toInternationalDisplayString(byte[] value)

  This method provides the implemantation of the InternationalDisplayString text-convention. See HOST-RESOURCES-MIB.

  "This data type is used to model textual information in some character set. A network management station should use a local algorithm to determine which character set is in use and how it should be displayed. Note that this character set may be encoded with more than one octet per symbol, but will most often be NVT ASCII. When a size clause is specified for an object of this type, the size refers to the length in octets, not the number of symbols."

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD